#include<bits/stdc++.h>

using namespace std;

vector<long long> happy(long long n,long long q,vector<long long> u,vector<long long> v,vector<long long> h,vector<long long> t,vector<long long> l,vector<long long> r) {
    for(int i=0;i<n;i++) {
        for(int j=0;j<q;j++) {

        }
    }
    return u;
}
